{

    // lighter侧闪保留普攻攻击段数处理

    "AbilityName" : "Lighter_EvadeAttackSave",

    "AbilityStacking":"Unique",



    "AbilityMixins": 

	[

		{

			"$type": "MoleMole.AttachStateWithModifierMixin",

			"ConfigList": 

			[

				//普攻1

				{

					"AnimatorStateName": "Attack_Normal_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.14,

					"ModifierNameList": 

					[

						"FromAttack01Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.14,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack01Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_01_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack01Modifier"

					]

				},

				//普攻2

                {

					"AnimatorStateName": "Attack_Normal_02",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.19,

					"ModifierNameList": 

					[

						"FromAttack02Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_02",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.19,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack02Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_02_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack02Modifier"

					]

				},

				//普攻3-1

                {

					"AnimatorStateName": "Attack_Normal_03_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.17,

					"ModifierNameList": 

					[

						"FromAttack0301Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.17,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0301Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_01_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0301Modifier"

					]

				},

				//普攻3-2

                {

					"AnimatorStateName": "Attack_Normal_03_02",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.29,

					"ModifierNameList": 

					[

						"FromAttack0302Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_02",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.29,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0302Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_02_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0302Modifier"

					]

				},

				//普攻3-3

                {

					"AnimatorStateName": "Attack_Normal_03_03",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.11,

					"ModifierNameList": 

					[

						"FromAttack0303Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_03",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.11,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0303Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_03_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0303Modifier"

					]

				},

				//普攻3-4

                {

					"AnimatorStateName": "Attack_Normal_03_04",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.31,

					"ModifierNameList": 

					[

						"FromAttack0304Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_04",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.31,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0304Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_04_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0304Modifier"

					]

				},

				//普攻3-5

                {

					"AnimatorStateName": "Attack_Normal_03_05",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.22,

					"ModifierNameList": 

					[

						"FromAttack0305Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_05",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.22,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0305Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_05_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0305Modifier"

					]

				},

				//普攻3-6

                {

					"AnimatorStateName": "Attack_Normal_03_06",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.08,

					"ModifierNameList": 

					[

						"FromAttack0306Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_03_06",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.08,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0306Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_03_06_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack0306Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_04_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.19,

					"ModifierNameList": 

					[

						"FromAttack04Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_04_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.19,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack04Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_04_01_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack04Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_05_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FromAttack05Modifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_05_02_Start",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack05Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_05_02_Loop",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack05Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_05_03",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack05Modifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_05_03_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"FinishAttack05Modifier"

					]

				},

				//侧闪动作&侧闪sp动作

				{

					"AnimatorStateName": "Evade_Blend_Left",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				},

				{

					"AnimatorStateName": "Evade_Blend_Right",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_01_Attack_Side",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_01_Attack_Side_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Attack_Side",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Branch_02_Attack_Side_End",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"LateralEvadeModifier"

					]

				}

			]

		}

	],



    "Modifiers" : 

    {

        //打断后从本段开始

		"FromAttack01Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int01Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack02Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int02Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0301Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0301Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0302Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0302Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0303Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0303Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0304Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0304Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0305Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0305Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack0306Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0306Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack04Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int04Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FromAttack05Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int05Modifier",

                    "Target":"Self"

                }

            ]

        },



		//打断后从下一段开始

		"FinishAttack01Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int02Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack02Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0301Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0301Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0302Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0302Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0303Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0303Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0304Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0304Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0305Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0305Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int0306Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack0306Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int04Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack04Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int05Modifier",

                    "Target":"Self"

                }

            ]

        },

		"FinishAttack05Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            "OnRemoved":

            [

                {

                    "$type":"MoleMole.ApplyModifier",

                    "ModifierName":"Int06Modifier",

                    "Target":"Self"

                }

            ]

        },

		

		//标记用modifier，用于标记来源

		"Int01Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int02Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0301Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0302Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0303Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0304Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0305Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int0306Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int04Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int05Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		"Int06Modifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : 0.1,

            "IgnoreTimeScale" : true

        },

		



		//侧闪动作标记,状态机参数赋值

		"LateralEvadeModifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

			//进入侧闪时，根据侧闪前动作储存普攻段数

            "OnAdded":

            [

                //接普攻1

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 1,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int01Modifier"

                          ]

                        }

                    ]

				},

				//接普攻2

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 2,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int02Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-1

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0301Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 1,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0301Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-2

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0302Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 2,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0302Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-3

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0303Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0303Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-4

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0304Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 4,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0304Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-5

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0305Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 5,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0305Modifier"

                          ]

                        }

                    ]

				},

				//接普攻3-6

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 3,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0306Modifier"

                          ]

                        }

                    ]

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 6,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int0306Modifier"

                          ]

                        }

                    ]

				},

                //接普攻4

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 4,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int04Modifier"

                          ]

                        }

                    ]

				},

				 //接普攻5

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 5,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int05Modifier"

                          ]

                        }

                    ]

				},

				 //接普攻5终结

				 {

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 6,

				    "Predicates": 

                	 [

                        {

                          "$type" : "MoleMole.ByHasModifier",

                          "Target" : "Self",

                          "ModifierNameList":

                          [

                             "Int06Modifier"

                          ]

                        }

                    ]

				}

            ],

			//离开侧闪或sp后重置储存的普攻段数

			"OnRemoved":

            [

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_NormalAttack",

					"Target" : "Self",

					"IntVal" : 0

				},

				{

					"$type" : "MoleMole.SetAnimCtrlerParamAction",

					"ParamType" : 3,

					"ParamName" : "Int_SubNormalAttack",

					"Target" : "Self",

					"IntVal" : 0

				}

            ]

        }

    }

}